import { FormatInputPathObject, ParsedPath } from 'node:path';

export declare const addPrefix: (fileOrFolder: string, prefix: string) => string;
export declare const addSuffix: (fileOrFolder: string, suffix: string) => string;
export declare const basename: (fileOrFolder: string, suffix?: string) => string;
export declare const dirname: (fileOrFolder: string) => string;
export declare const enforceForwardSlashes: (fileOrFolder: string) => string;
export declare const extension: (fileOrFolder: string) => string | undefined;
export declare const extname: (fileOrFolder: string) => string;
export declare const format: (fileOrFolderObject: FormatInputPathObject) => string;
export declare const hasSlash: (fileOrFolder: string) => boolean;
export declare const indexAfterParent: (fileOrFolder: string) => number | undefined;
export declare const indexBeforeExtension: (fileOrFolder: string) => number | undefined;
export declare const indexBeforeName: (fileOrFolder: string) => number;
export declare const isAbsolute: (fileOrFolder: string) => boolean;
export declare const isDotFile: (fileOrFolder: string) => boolean;
export declare const isName: (fileOrFolder: string) => boolean;
export declare const join: (...pathSegments: Array<string>) => string;
export declare const normalize: (fileOrFolder: string) => string;
export declare const parentName: (fileOrFolder: string) => string | undefined;
export declare const parse: (fileOrFolder: string) => ParsedPath;
export declare const path: Path;
export declare const relative: (from: string, to: string) => string;
export declare const replaceExtension: (fileOrFolder: string, newExtension: string) => string | undefined;
export declare const replaceStem: (fileOrFolder: string, newStem: string) => string;
export declare const resolve: (...pathSegments: Array<string>) => string;
export declare const stem: (fileOrFolder: string) => string;
export declare const toNamespacedPath: (fileOrFolder: string) => string;
export declare const withoutExtension: (fileOrFolder: string) => string;
type Path = ((fileOrFolder: string) => string) & typeof lib;

export {
	path as default,
};

export {};
